Last Comment Bug 290044 - Minimum font size setting screws up scaled SVG graphics
: Minimum font size setting screws up scaled SVG graphics
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Jet Villegas (:jet)
Mentors:
Depends on: 358032
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-12 05:41 PDT by Benjamin Smedberg [:bsmedberg]
Modified: 2011-11-01 08:33 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Not-so-simple SVG doc which displays the problem (6.05 KB, application/xml)
2005-04-12 05:43 PDT, Benjamin Smedberg [:bsmedberg]
no flags Details

Description Benjamin Smedberg [:bsmedberg] 2005-04-12 05:41:40 PDT
When I set a minimum font size in prefs and then view a SVG graphic which is
scaled, the font sizes are very wrong. In the example I will attach, I use the
SVG coordinate system of 1 day per "unit", and then scale the viewBox so that
the chart makes sense. This forces the fonts extremely large.

We should either ignore the minimum font size when displaying SVG, or make it
apply after all scaling is complete.
Comment 1 Benjamin Smedberg [:bsmedberg] 2005-04-12 05:43:24 PDT
Created attachment 180480 [details]
Not-so-simple SVG doc which displays the problem
Comment 2 Lars Gunther 2008-01-26 03:51:05 PST
I have found something similar, however it basically is solved in beta 3 and Minefield. They get it wrong in other ways though. My findings are at http://keryx.se/dev/svg/geckobug-08-01/
Comment 3 Robert Longson 2011-11-01 08:33:54 PDT
Fixed a long time ago by bug 358032

Note You need to log in before you can comment on or make changes to this bug.